%{?!_without_tools: 	%define builddirstools as10k1 envy24control hdspconf hdspmixer rmedigicontrol sbiload sb16_csp sscape_ctl us428control }
%{?_without_tools: 	%{!?_with_firmware: %define _with_firmware 1}}
%{?_with_firmware: 	%define builddirsfirmw hdsploader mixartloader usx2yloader vxloader }

Summary: 	The ALSA Tools
Name: 		alsa-tools
Version: 	1.0.10
Release: 	2%{?dist}
License: 	GPL
Group: 		Applications/Multimedia
URL: 		http://www.alsa-project.org/
Source0: 	%{name}-%{version}-pruned.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	alsa-lib-devel >= %{version}
%if 0%{!?_without_tools:1}
BuildRequires:	gtk+-devel 
BuildRequires:	fltk-devel 
Buildrequires:  desktop-file-utils
%endif

%description
This package contains several tools which can be used together with
ALSA-Drivers and -Libs. Some of this tools are only needed for special
Sound-Cards or -Chips.

Some Noteable:

* cspctl - Sound Blaster 16 ASP/CSP control program
* sbiload - An OPL2/3 FM instrument loader for ALSA sequencer
* sscape_ctl - ALSA SoundScape control utility



%package firmware
Summary: 	Alsa-Tool to upload the firmware (needed for some soundcards)
Group: 		Applications/System
Requires:	hotplug alsa-firmware


%description firmware
This package contains several tools which will flash the firmware into the
Soundcards. The following tools are available:

hdsploader   - for the RME Hammerfall DSP cards
mixartloader - for Digigram miXart soundcards
vxloader     - for Digigram VX soundcards
usx2yloader  - Second Phase Firmware loader for Tascam USX2Y USB soundcards


%prep
%setup -q -n %{name}-%{version}


%build
mv seq/sbiload . ; rmdir seq
for i in %{?builddirstools:%builddirstools} %{?builddirsfirmw:%builddirsfirmw}
do
  cd $i ; %configure
  %{__make} %{?_smp_mflags} || exit 1
  cd ..
done


%install
%{__rm} -rf $RPM_BUILD_ROOT

for i in %{?builddirstools:%builddirstools} %{?builddirsfirmw:%builddirsfirmw}
do 
   case $i in
      hdspconf)
	(cd $i ; %makeinstall pixmapdir=${RPM_BUILD_ROOT}%{_datadir}/pixmaps desktopdir=${RPM_BUILD_ROOT}%{_datadir}/applications ) || exit 1
        ;;
      hdspmixer)
	(cd $i ; %makeinstall pixmapdir=${RPM_BUILD_ROOT}%{_datadir}/pixmaps desktopdir=${RPM_BUILD_ROOT}%{_datadir}/applications ) || exit 1
        ;;
      usx2yloader)
	(cd $i ; %makeinstall hotplugdir=${RPM_BUILD_ROOT}%{_sysconfdir}/hotplug/usb) || exit 1
        ;;
      *) (cd $i ; %makeinstall) || exit 1
   esac
   if [[ -s "${i}"/README ]] 
   then
      if [[ ! -d "${RPM_BUILD_ROOT}%{_docdir}/%{name}-%{version}/${i}" ]]
      then
         mkdir -p "${RPM_BUILD_ROOT}%{_docdir}/%{name}-%{version}/${i}"
      fi
      cp "${i}"/README "${RPM_BUILD_ROOT}%{_docdir}/%{name}-%{version}/${i}"
   fi
   if [[ -s "${i}"/COPYING ]] 
   then
      if [[ ! -d "${RPM_BUILD_ROOT}%{_docdir}/%{name}-%{version}/${i}" ]]
      then
         mkdir -p "${RPM_BUILD_ROOT}%{_docdir}/%{name}-%{version}/${i}"
      fi
      cp "${i}"/COPYING "${RPM_BUILD_ROOT}%{_docdir}/%{name}-%{version}/${i}"
   fi 
   if [[ -s ${RPM_BUILD_ROOT}%{_datadir}/applications/${i}.desktop ]] ; then
      desktop-file-install --vendor fedora \
        --add-category "X-Fedora" \
        --delete-original \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications \
        ${RPM_BUILD_ROOT}%{_datadir}/applications/${i}.desktop
   fi
done

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%if 0%{!?_without_tools:1}
%files
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}-%{version}/as10k1
%doc %{_docdir}/%{name}-%{version}/envy24control
%doc %{_docdir}/%{name}-%{version}/hdspconf
%doc %{_docdir}/%{name}-%{version}/hdspmixer
%doc %{_docdir}/%{name}-%{version}/rmedigicontrol
%doc %{_docdir}/%{name}-%{version}/sbiload
%doc %{_docdir}/%{name}-%{version}/sb16_csp
%{_bindir}/as10k1
%{_bindir}/cspctl
%{_bindir}/envy24control
%{_bindir}/hdspconf
%{_bindir}/hdspmixer
%{_bindir}/rmedigicontrol
%{_bindir}/sbiload
%{_bindir}/sscape_ctl
%{_bindir}/us428control
%{_datadir}/applications/fedora-hdspconf.desktop
%{_datadir}/applications/fedora-hdspmixer.desktop
%{_datadir}/man/man1/cspctl.1.gz
%{_datadir}/man/man1/envy24control.1.gz
%{_datadir}/pixmaps/hdspconf.png
%{_datadir}/pixmaps/hdspmixer.png
%{_datadir}/sounds/
%endif # ?!_without_tools

%if 0%{?_with_firmware:1}
%files firmware
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}-%{version}/hdsploader
%doc %{_docdir}/%{name}-%{version}/mixartloader
%doc %{_docdir}/%{name}-%{version}/usx2yloader
%doc %{_docdir}/%{name}-%{version}/vxloader
%{_sysconfdir}/hotplug/usb/tascam_fpga
%{_sysconfdir}/hotplug/usb/tascam_fw
%{_sysconfdir}/hotplug/usb/tascam_fw.usermap
%{_bindir}/hdsploader
%{_bindir}/mixartloader
%{_bindir}/usx2yloader
%{_bindir}/vxloader
%endif # ?_with_firmware

%changelog
* Mon Feb 13 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info>
- Rebuild for Fedora Extras 5

* Tue Dec 06 2005 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 1.0.10-1
- Update to 1.0.10

* Fri May 06 2005 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 1.0.9-1
- Update to 1.0.9
- Use disttag
- Remove gcc4 patch

* Fri May 06 2005 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 1.0.8-3
- prune ac3dec from sources

* Thu May 05 2005 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 1.0.8-2
- don't build ac3dec -- use a52dec instead

* Wed Apr 06 2005 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 1.0.8-1
- Update to 1.0.8

* Sun Mar 29 2005 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0:1.0.6-2
- Add "--without tools" and "--with firmware" options
- Drop unneeded BR: automake

* Sun Jan 02 2005 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0:1.0.6-0.fdr.1
- Update to 1.0.6 for FC3
- add new files in {_datadir}/sounds/
- add patch0 for as10k1 

* Sat Apr 03 2004 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0:1.0.4-0.fdr.1
- Update to 1.0.4

* Fri Jan 16 2004 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0:1.0.1-0.fdr.2
- Integrate Michaels patch that fixes:
- fix desktop files for fedora.us, adds buildreq desktop-file-utils
- fix %%install section for short-circuit installs

* Fri Jan 09 2004 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0:1.0.1-0.fdr.1
- Update to 1.0.1

* Sun Dec 14 2003 Thorsten Leemhuis <fedora[AT]leemhuis.info> 1.0.0-0.fdr.0.3.rc2
- exit if error during build or install
- fix install errors hdspconf, hdspmixer, usx2yloader
- Split package in alsa-tools and alsa-tools-firmware
- Integrate more docs

* Fri Dec 06 2003 Thorsten Leemhuis <fedora[AT]leemhuis.info> 1.0.0-0.fdr.0.2.rc2
- Update to 1.0.0rc2
- some minor corrections in style

* Thu Dec 04 2003 Thorsten Leemhuis <fedora[AT]leemhuis.info> 1.0.0-0.fdr.0.1.rc1
- Update to 1.0.0rc1
- Remove firmware files -- extra package now.
- Add description

* Wed Aug 13 2003 Dams <anvil[AT]livna.org> 0:tools-0.fdr.1
- Initial build.
